GitHub の履歴を検索
curl --request GET \
--url https://api.firecrawl.dev/v2/search/research/github \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/search/research/github"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/search/research/github', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"contentMd": "Full matched markdown content when available.",
"number": 123,
"pageType": "issue",
"repo": "firecrawl/firecrawl",
"resultType": "issue",
"scores": {
"semantic": 0.82
},
"segmentCount": 2,
"snippet": "Queue worker shutdown can lose completion signals...",
"title": "Worker shutdown race",
"url": "https://github.com/firecrawl/firecrawl/issues/123"
}
],
"success": true
}Research Index エンドポイント
GitHub の履歴を検索
GET
/
search
/
research
/
github
GitHub の履歴を検索
GitHub の issue/PR の履歴、ディスカッション、リポジトリの README を検索します。結果には、リポジトリのメタデータ、URL、スニペット、利用可能な場合は一致した Markdown コンテンツが含まれます。
ワークフローの概要については、Research Index ガイドを参照してください。
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
GitHub の issue、pull request、discussion、repository の README を対象とした自然言語 query。
Minimum string length:
1返される GitHub 結果の最大数。
必須範囲:
1 <= x <= 100⌘I

